Get exception list details
https://{kibana_url}
- GET /api/exception_lists
- GET /s/{space_id}/api/exception_lists
Refer to Spaces for more information.
Get the details of an exception list using the id or list_id field.
Query Parameters
-
idstring · min: 1 Exception list's identifier. Either
idorlist_idmust be specified.-
list_idstring · min: 1 Human readable exception list string identifier, e.g.
trusted-linux-processes. Eitheridorlist_idmust be specified.-
namespace_type When
single, the list is resolved in the current Kibana space. Whenagnostic, the list is a global (space-agnostic) container. Required for looking up the correct list whenlist_idis not unique.-
Values:
agnosticsingle
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
-
created_atstringrequired -
Autogenerated date of object creation.
-
created_bystringrequired -
Autogenerated value - user that created object.
-
descriptionstringrequired -
Describes the exception list.
-
idstring · min: 1required -
Exception list's identifier.
-
immutablebooleanrequired -
list_idstring · min: 1required -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
-
metaobject -
Placeholder for metadata about the list container.
-
namestringrequired -
The name of the exception list.
-
namespace_typerequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
os_typesobject -
Use this field to specify the operating system. Only enter one value.
-
Values:
linuxmacoswindows -
String array containing words and phrases to help categorize exception containers.
-
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typerequired -
The type of exception list to be created. Different list types may denote where they can be utilized.
-
Values:
detectionrule_defaultendpointendpoint_trusted_appsendpoint_trusted_devicesendpoint_eventsendpoint_host_isolation_exceptionsendpoint_blocklistsendpoint_custom_yara_signatures -
updated_atstringrequired -
Autogenerated date of last object update.
-
updated_bystringrequired -
Autogenerated value - user that last updated object.
-
versioninteger · min: 1required -
The document version, automatically increasd on updates.
Invalid input data response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
-
messagestringrequired -
status_codeintegerrequired
Unsuccessful authentication response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Not enough privileges response
-
errorstringrequired -
messagestringrequired -
statusCodeintegerrequired
Exception list item not found response
-
messagestringrequired -
status_codeintegerrequired
Internal server error response
-
messagestringrequired -
status_codeintegerrequired